com.google.gwt.event.dom.client

## Interface HasAllDragAndDropHandlers

- All Superinterfaces:
    HasDragEndHandlers, HasDragEnterHandlers, HasDragHandlers, HasDragLeaveHandlers, HasDragOverHandlers, HasDragStartHandlers, HasDropHandlers, HasHandlers
  All Known Implementing Classes:
    Anchor, Audio, Button, ButtonBase, Canvas, CellGridImpl, CheckBox, CustomButton, DefaultCalendarView.CellGrid, DialogBox.CaptionImpl, DoubleBox, FileUpload, FlexTable, FocusPanel, FocusWidget, Grid, HTML, HTMLTable, Image, InlineHTML, InlineLabel, IntegerBox, Label, ListBox, LongBox, MediaBase, PasswordTextBox, PushButton, RadioButton, ResetButton, RichTextArea, SimpleCheckBox, SimpleRadioButton, SubmitButton, TextArea, TextBox, TextBoxBase, ToggleButton, ValueBox, ValueBoxBase, Video

      public interface HasAllDragAndDropHandlers
      extends HasDragEndHandlers, HasDragEnterHandlers, HasDragLeaveHandlers, HasDragHandlers, HasDragOverHandlers, HasDragStartHandlers, HasDropHandlers

  This is a convenience interface that includes all drag and drop handlers defined by the core GWT system.

  Experimental API: This API is still under development and is subject to change.

- - ### Method Summary

    - ### Methods inherited from interface com.google.gwt.event.dom.client.HasDragEndHandlers

      `addDragEndHandler`

    - ### Methods inherited from interface com.google.gwt.event.dom.client.HasDragEnterHandlers

      `addDragEnterHandler`

    - ### Methods inherited from interface com.google.gwt.event.dom.client.HasDragLeaveHandlers

      `addDragLeaveHandler`

    - ### Methods inherited from interface com.google.gwt.event.dom.client.HasDragHandlers

      `addDragHandler`

    - ### Methods inherited from interface com.google.gwt.event.dom.client.HasDragOverHandlers

      `addDragOverHandler`

    - ### Methods inherited from interface com.google.gwt.event.dom.client.HasDragStartHandlers

      `addDragStartHandler`

    - ### Methods inherited from interface com.google.gwt.event.dom.client.HasDropHandlers

      `addDropHandler`

    - ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

      `fireEvent`